Appweb < 7.0.3 authCondition 驗證繞過弱點

high Nessus Plugin ID 118710

Synopsis

遠端 Web 伺服器可能會受到驗證繞過弱點影響。

描述

根據其標題判斷,遠端主機上執行的 Appweb 版本比 7.0.3 舊。因此,http/httpLib.c 中的 authCondition 函式會發生相關邏輯缺陷。可能會透過偽造的 HTTP 要求來繞過表單和摘要登入類型的驗證。請注意,Nessus 並未實際測試此問題,而是僅依據伺服器標題上的版本。

解決方案

升級至 Appweb 7.0.3 版或更新版本。

另請參閱

http://www.nessus.org/u?b2bbda6c

Plugin 詳細資訊

嚴重性: High

ID: 118710

檔案名稱: appweb_server_7_0_3.nasl

版本: 1.3

類型: remote

系列: Web Servers

已發布: 2018/11/2

已更新: 2019/11/1

風險資訊

VPR

風險因素: Medium

分數: 5.9

CVSS v2

風險因素: Medium

基本分數: 6.8

時間分數: 5

媒介: AV:N/AC:M/Au:N/C:P/I:P/A:P

時間媒介: E:U/RL:OF/RC:C

CVSS 評分資料來源: CVE-2018-8715

CVSS v3

風險因素: High

基本分數: 8.1

時間分數: 7.1

媒介: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H

時間媒介: E:U/RL:O/RC:C

弱點資訊

CPE: cpe:/a:mbedthis_software:mbedthis_appweb_http_server

必要的 KB 項目: www/appweb

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2018/3/14

弱點發布日期: 2018/3/14

參考資訊

CVE: CVE-2018-8715